"""
Sphinx Directives to process Robotframework doc strings
"""
from sphinx.application import Sphinx
from sphinx.util.typing import ExtensionMetadata

from .rf_test_doc import RfTestDoc


__version__ = "0.0.1"


def setup(app: Sphinx) -> ExtensionMetadata:

    app.add_directive('rf-testdoc', RfTestDoc)
    app.add_config_value('rf_test_doc_root', str, '')

    return {
        'version': '0.1',
        'parallel_read_safe': True,
        'parallel_write_safe': True,
    }
